%define upstream_name Dist-Zilla-Plugin-ModuleBuildTiny
%define upstream_version 0.020

%{?perl_default_filter}
%global __requires_exclude perl\\(Module::Build::Tiny\\{\\{\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build a Build.PL that uses Module::Build::Tiny
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::BuildPL)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(experimental)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Build a Build.PL that uses Module::Build::Tiny.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon May 05 2025 tv <tv> 0.20.0-1.mga10
+ Revision: 2181087
- update to 0.020

* Sat Apr 12 2025 tv <tv> 0.19.0-1.mga10
+ Revision: 2174863
- update to 0.019

* Tue Aug 29 2023 tv <tv> 0.17.0-1.mga10
+ Revision: 1980958
- update to 0.017

* Sun Mar 20 2022 umeabot <umeabot> 0.15.0-4.mga9
+ Revision: 1808953
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.15.0-3.mga8
+ Revision: 1504075
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.15.0-2.mga7
+ Revision: 1283107
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.15.0-1.mga7
+ Revision: 1125970
- update to 0.015

* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-3.mga6
+ Revision: 1026395
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.14.0-2.mga6
+ Revision: 969348
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.14.0-1.mga6
+ Revision: 868430
- update to 0.014

* Thu Jul 23 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 856552
- update to 0.013

* Sun Jul 19 2015 sander85 <sander85> 0.12.0-1.mga6
+ Revision: 855308
- update to 0.012

* Mon Jul 06 2015 sander85 <sander85> 0.11.0-1.mga6
+ Revision: 851913
- update to 0.011

* Sun Jun 28 2015 sander85 <sander85> 0.10.0-2.mga6
+ Revision: 846855
- Fix bogus reguires

* Sun Jun 28 2015 sander85 <sander85> 0.10.0-1.mga6
+ Revision: 846849
- imported package perl-Dist-Zilla-Plugin-ModuleBuildTiny

